## org.apache.hadoop.streaming.io
Class RawBytesOutputReader

    java.lang.Object
      org.apache.hadoop.streaming.io.OutputReader<BytesWritable,BytesWritable>
          org.apache.hadoop.streaming.io.RawBytesOutputReader

    public class RawBytesOutputReader

extends OutputReader<BytesWritable,BytesWritable>

OutputReader that reads the client's output as raw bytes.

Constructor Summary
`RawBytesOutputReader()`

Method Summary
`BytesWritable` `getCurrentKey()` Returns the current key.
`BytesWritable` `getCurrentValue()` Returns the current value.
`String` `getLastOutput()` Returns the last output from the client as a String.
`void` `initialize(PipeMapRed pipeMapRed)` Initializes the OutputReader.
`boolean` `readKeyValue()` Read the next key/value pair outputted by the client.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawBytesOutputReader

    public RawBytesOutputReader()

Method Detail

### initialize

    public void initialize(PipeMapRed pipeMapRed)
                    throws IOException

  Description copied from class: `OutputReader`
  Initializes the OutputReader. This method has to be called before calling any of the other methods.

  Overrides:
    `initialize` in class `OutputReader<BytesWritable,BytesWritable>`
  Throws:
    `IOException`

### readKeyValue

    public boolean readKeyValue()
                         throws IOException

  Description copied from class: `OutputReader`
  Read the next key/value pair outputted by the client.

  Specified by:
    `readKeyValue` in class `OutputReader<BytesWritable,BytesWritable>`
  Returns:
    true iff a key/value pair was read
  Throws:
    `IOException`

### getCurrentKey

    public BytesWritable getCurrentKey()
                                throws IOException

  Description copied from class: `OutputReader`
  Returns the current key.

  Specified by:
    `getCurrentKey` in class `OutputReader<BytesWritable,BytesWritable>`
  Throws:
    `IOException`

### getCurrentValue

    public BytesWritable getCurrentValue()
                                  throws IOException

  Description copied from class: `OutputReader`
  Returns the current value.

  Specified by:
    `getCurrentValue` in class `OutputReader<BytesWritable,BytesWritable>`
  Throws:
    `IOException`

### getLastOutput

    public String getLastOutput()

  Description copied from class: `OutputReader`
  Returns the last output from the client as a String.

  Specified by:
    `getLastOutput` in class `OutputReader<BytesWritable,BytesWritable>`

Copyright © 2009 The Apache Software Foundation